//
//
/****************************************************************************************
** 文件名称: Led.c
** 功能描述: 
** 参    数: None
** 返 回 值: None
** 作　  者: 汪仁海QQ527148813
** 日  　期: 2013年4月23日
**---------------------------------------------------------------------------------------
** 修 改 人:
** 日　  期:
**---------------------------------------------------------------------------------------
*****************************************************************************************/ 

#ifndef __LED_C
#define __LED_C

#ifdef __cplusplus
 extern "C" {
#endif	 

#include "led.h"

u8 LED_time1;	//指示灯工作计数
u8 LED_time;	//	
	 
//LED相关初始化
void LED_Init(void)
{
	LED_OFF_1();	//led1灭
	LED_OFF_2();	//led2灭
	LED_OFF_3();	//led3灭

	LED_time=0;
	LED_time1=0;	//指示灯工作计数	
	
	//亮一个灯
	LED_OFF_1();	//led1	
}
void LED_ON_1(void)	//led1亮
{
	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_SET);
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_5,GPIO_PIN_RESET);
}
void LED_OFF_1(void)//led1灭
{
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_5,GPIO_PIN_SET);
	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_RESET);
}
void LED_Toggle_1(void)//翻转LED
{
	HAL_GPIO_TogglePin(GPIOA,GPIO_PIN_4);
}

void LED_ON_2(void)	//led2亮
{
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_SET);
	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_RESET);
}
void LED_OFF_2(void)	//led2灭
{
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_SET);
	HAL_GPIO_WritePin(GPIOF,GPIO_PIN_0,GPIO_PIN_RESET);
}
void LED_Toggle_2(void)//翻转LED
{
	HAL_GPIO_TogglePin(GPIOF,GPIO_PIN_0);
	
}

void LED_ON_3(void)	//led3亮
{
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_SET);
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_RESET);
}
void LED_OFF_3(void)	//led3灭
{
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_SET);
//	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_4,GPIO_PIN_RESET);
}
void LED_Toggle_3(void)//翻转LED
{	
	
}

void LED_Handle(void)//LED数据处理
{
	if(LED_time==1)
	{
		LED_time=0;
		HAL_GPIO_WritePin(GPIOF,GPIO_PIN_0,GPIO_PIN_SET);
		HAL_GPIO_WritePin(GPIOF,GPIO_PIN_1,GPIO_PIN_RESET);
	}
	else
	{
		LED_time=1;//
		HAL_GPIO_WritePin(GPIOF,GPIO_PIN_1,GPIO_PIN_SET);
		HAL_GPIO_WritePin(GPIOF,GPIO_PIN_0,GPIO_PIN_RESET);
	}
	
}

u8 Key_return(void)	//按键状态返回
{
	u8 flag=0;
	
	if( HAL_GPIO_ReadPin(GPIOF,GPIO_PIN_1) == GPIO_PIN_RESET)
		flag=1;
	
	return flag;
}

#ifdef __cplusplus
}
#endif
#endif /*__LED_C */

